unit uPluginControllerDevoluciones;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCDevoluciones = interface(IInterface)
  ['{46008D56-3823-4F95-8D22-89130764307B}']
  end;

  TModuleDevoluciones = class(TModuleController, IMCDevoluciones)
    menu: TMenuItem;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    actDevolucion: TAction;
    Controldeventasenproceso1: TMenuItem;
    procedure actDevolucionExecute(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, uGUIBase, SysUtils, uBizDevoluciones,
  uDataModuleDevoluciones, uEditorListaDevoluciones;
  

function GetModule : TModuleController;
begin
  Result := TModuleDevoluciones.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

{
******************************* TModuleContactos *******************************
}

procedure TModuleDevoluciones.actDevolucionExecute(Sender: TObject);
var
  aControl: IBizDevoluciones;
  aObj: IEditorListaDevoluciones;
begin
  aControl := dmDevoluciones.GetItems(tidPendiente);
  aObj := TfEditorListaDevoluciones.Create(Application);
  try
    with aObj do
    begin
      Items := aControl;
      ShowEmbedded;
    end;
  finally
    aControl := NIL;
    aObj := NIL;
  end;
end;

initialization
  RegisterModuleClass(TModuleDevoluciones);

finalization
  UnRegisterModuleClass(TModuleDevoluciones);

end.
